## debiandoc-sgml 1.1.94+1.1.95bpo1

=== Makefile ===
## ----------------------------------------------------------------------
## Makefile: makefile for debiandoc-sgml
## ----------------------------------------------------------------------

## ----------------------------------------------------------------------
## General directory definitions
prefix		:= /usr/local
bin_dir		:= $(prefix)/bin
share_dir	:= $(prefix)/share
ifeq ($(prefix),/usr/local)
man_dir		:= $(prefix)/man
else
man_dir		:= $(share_dir)/man
endif
ifeq ($(prefix),/usr/local)
perl_version	:= 5.8.2
perl_dir	:= $(share_dir)/perl/$(perl_version)
else
perl_dir	:= $(share_dir)/perl5
endif
sgml_dir	:= $(share_dir)/sgml

## ----------------------------------------------------------------------
## Manual pages directory definitions
man1		:= 1
man1_dir	:= $(man_dir)/man$(man1)

## ----------------------------------------------------------------------
## Package definitions
dtd_name	:= debiandoc
dtd_type	:= sgml
dtd_version	:= 1.0

## ----------------------------------------------------------------------
## Package SGML directory definitions
pkg_dtd_dir	:= $(sgml_dir)/$(dtd_name)/dtd/$(dtd_type)/$(dtd_version)
pkg_ent_dir	:= $(sgml_dir)/$(dtd_name)/entities

## ----------------------------------------------------------------------
## Package SGML file definitions
DTDS		:= catalog $(dtd_name).dtd $(dtd_name).dcl
ENTITIES	:= catalog $(dtd_name)-lat1 $(dtd_name)-lat2

## ----------------------------------------------------------------------
## Package tools directory definitions
pkg_perl_dir	:= $(perl_dir)/DebianDoc_SGML
pkg_format_dir	:= $(pkg_perl_dir)/Format
pkg_locale_dir	:= $(pkg_perl_dir)/Locale
pkg_map_dir	:= $(pkg_perl_dir)/Map
pkg_name 	:= $(dtd_name)-$(dtd_type)
pkg_bin_dir	:= $(share_dir)/$(pkg_name)

## ----------------------------------------------------------------------
## Package tools file definitions
FORMATS		:= HTML LaTeX Texinfo Text TextOV
XFORMATS	:= SGML XML
SPECS		:= html latex texinfo text textov info latexdvi latexps latexpdf xml sgml docbookxml
EXTS		:= html tex texinfo txt tov xml sgml
BCONVS		:= $(foreach spec,$(SPECS),$(dtd_name)2$(spec))
PSPECS		:= dvi ps pdf
PCONVS		:= $(foreach spec,$(PSPECS),$(dtd_name)2$(spec))
TOOLS		:= $(BCONVS) $(PCONVS)
MAN1S		:= $(pkg_name)
HELPERS		:= saspconvert fixlatex

## ----------------------------------------------------------------------
## General (un)install definitions
SHELL		:= bash
INSTALL		:= /usr/bin/install
INSTALL_DIR	:= $(INSTALL) -d -m 755
INSTALL_SCRIPT	:= $(INSTALL) -p -m 755
INSTALL_FILE	:= $(INSTALL) -p -m 644
LN		:= /bin/ln -sf
RM		:= /bin/rm -f
RMDIR		:= /bin/rmdir -p --ignore-fail-on-non-empty
DIFF		:= /usr/bin/diff -w -u

## ----------------------------------------------------------------------
## Targets
all:		bin

bin:		$(foreach bconv,$(BCONVS),tools/bin/$(bconv))

$(foreach bconv,$(BCONVS),tools/bin/$(bconv)): \
		tools/bin/template tools/bin/mkconversions

		set -e; \
		cd tools/bin; \
		./mkconversions $(pkg_format_dir) $(pkg_bin_dir); \
		cd -

install:	all

		set -e; \
		$(INSTALL_DIR) $(pkg_dtd_dir); \
		for f in $(DTDS); \
		do \
			$(INSTALL_FILE) sgml/dtd/$$f $(pkg_dtd_dir); \
		done

		set -e; \
		$(INSTALL_DIR) $(pkg_ent_dir); \
		for f in $(ENTITIES); \
		do \
			$(INSTALL_FILE) sgml/entities/$$f $(pkg_ent_dir); \
		done

		set -e; \
		$(INSTALL_DIR) $(pkg_format_dir); \
		for f in `ls tools/lib/Format/*.pm`; \
		do \
			$(INSTALL_FILE) $$f $(pkg_format_dir); \
		done

		set -e; \
		$(INSTALL_DIR) $(pkg_locale_dir); \
		for f in `ls tools/lib/Locale/*.pm`; \
		do \
			$(INSTALL_FILE) $$f $(pkg_locale_dir); \
		done
		for d in `ls -d tools/lib/Locale/*_*`; \
		do \
			$(INSTALL_DIR) $(pkg_locale_dir)/`basename $$d`; \
			for f in $(FORMATS); \
			do \
				$(INSTALL_FILE) $$d/$$f $(pkg_locale_dir)/`basename $$d`; \
			done; \
		done
		for d in `ls -d tools/lib/Locale/*_*`; \
		do \
			$(INSTALL_DIR) $(pkg_locale_dir)/`basename $$d`; \
			for f in $(XFORMATS); \
			do \
				$(INSTALL_FILE) tools/lib/Locale/$$f $(pkg_locale_dir)/`basename $$d`; \
			done; \
		done

		set -e; \
		$(INSTALL_DIR) $(pkg_map_dir); \
		for f in `ls tools/lib/Map/*.pm`; \
		do \
			$(INSTALL_FILE) $$f $(pkg_map_dir); \
		done

		set -e; \
		$(INSTALL_DIR) $(pkg_bin_dir); \
		for f in $(HELPERS); \
		do \
			$(INSTALL_SCRIPT) tools/bin/$$f $(pkg_bin_dir); \
		done

		set -e; \
		$(INSTALL_DIR) $(bin_dir); \
		for f in $(BCONVS); \
		do \
			$(INSTALL_SCRIPT) tools/bin/$$f $(bin_dir); \
		done
		for f in $(PSPECS); \
		do \
			$(LN) $(dtd_name)2latex$$f $(bin_dir)/$(dtd_name)2$$f; \
		done

		set -e; \
		$(INSTALL_DIR) $(man1_dir); \
		for f in $(MAN1S); \
		do \
			$(INSTALL_FILE) tools/man/$$f.$(man1) $(man1_dir)/$$f.$(man1); \
		done; \
		for f in $(TOOLS); \
		do \
			$(LN) $(firstword $(MAN1S)).$(man1) $(man1_dir)/$$f.$(man1); \
		done

uninstall:

		set -e; \
		for f in $(TOOLS); \
		do \
			$(RM) $(man1_dir)/$$f.$(man1); \
		done; \
		for f in $(MAN1S); \
		do \
			$(RM) $(man1_dir)/$$f.$(man1); \
		done

		set -e; \
		for f in $(TOOLS); \
		do \
			$(RM) $(bin_dir)/$$f; \
		done

		set -e; \
		for f in $(HELPERS); \
		do \
			$(RM) $(pkg_bin_dir)/$$f; \
		done; \
		$(RMDIR) $(pkg_bin_dir)

		set -e; \
		for f in `ls $(pkg_map_dir)/*.pm`; \
		do \
			$(RM) $$f; \
		done; \
		$(RMDIR) $(pkg_map_dir)

		set -e; \
		for d in `ls -d $(pkg_locale_dir)/*_*`; \
		do \
			d=`basename $$d`; \
			for f in $(FORMATS); \
			do \
				$(RM) $(pkg_locale_dir)/$$d/$$f; \
			done; \
			$(RMDIR) $(pkg_locale_dir)/$$d; \
		done; \
		for d in `ls -d $(pkg_locale_dir)/*_*`; \
		do \
			d=`basename $$d`; \
			for f in $(XFORMATS); \
			do \
				$(RM) $(pkg_locale_dir)/$$d/$$f; \
			done; \
			$(RMDIR) $(pkg_locale_dir)/$$d; \
		done; \
		for f in `ls $(pkg_locale_dir)/*.pm`; \
		do \
			$(RM) $$f; \
		done; \
		$(RMDIR) $(pkg_locale_dir)

		set -e; \
		for f in `ls $(pkg_format_dir)/*.pm`; \
		do \
			$(RM) $$f; \
		done; \
		$(RMDIR) $(pkg_format_dir)

		set -e; \
		for f in $(ENTITIES); \
		do \
			$(RM) $(pkg_ent_dir)/$$f; \
		done; \
		$(RMDIR) $(pkg_ent_dir)

		set -e; \
		for f in $(DTDS); \
		do \
			$(RM) $(pkg_dtd_dir)/$$f; \
		done; \
		$(RMDIR) $(pkg_dtd_dir)


# chack script changes against installled version if exists
# assunming this will be packaged vrsion of script in /usr
diff:		
	        $(MAKE) scripts.diff prefix=/usr

# chack script changes against installled version if exists
scripts.diff:	bin

		:> scripts.diff
		for f in $(BCONVS); \
		do \
			g=/usr/bin/$$f ;\
			if [ -e "$$g" ] ; then \
			$(DIFF) $$g tools/bin/$$f >> scripts.diff || true ;\
			fi ;\
		done

clean:

		$(RM) $(foreach bconv,$(BCONVS),tools/bin/$(bconv))
		rm -f scripts.diff

## ----------------------------------------------------------------------

=== debian/changelog ===
debiandoc-sgml (1.1.94+1.1.95bpo1) sarge-backports; urgency=low

  * Rebuild for sarge.

 -- Florent Rougon <frn@debian.org>  Tue,  4 Apr 2006 15:37:55 +0200

debiandoc-sgml (1.1.95) unstable; urgency=low

  * Fixed Format/HTML.pm to generate correct bullets for list in 
    TOC with nicer indentations. (closes: Bug#355406)

 -- Osamu Aoki <osamu@debian.org>  Sun, 12 Mar 2006 02:05:42 +0900

=== debian/rules ===
#!/usr/bin/make -f
## ----------------------------------------------------------------------
## debian/rules : package script for debiandoc-sgml
## ----------------------------------------------------------------------

## ----------------------------------------------------------------------
## uncomment this to turn on verbose mode
#export DH_VERBOSE=1

## ----------------------------------------------------------------------
TMP_DIR		= debian/tmp

## ----------------------------------------------------------------------
## targets

clean:
		dh_testdir
		dh_testroot
		[ ! -f Makefile ] || $(MAKE) clean
		dh_clean
		rm -f build-stamp install-stamp
		rm -f scripts.diff

build:		build-stamp
build-stamp:
		dh_testdir
		$(MAKE) prefix=/usr
		touch build-stamp

diff:		build-stamp
	        $(MAKE) diff

install:	install-stamp
install-stamp:	build diff
		dh_testdir
		dh_testroot
		dh_clean -k
		dh_installdirs
		$(MAKE) install prefix=$(PWD)/$(TMP_DIR)/usr
		touch install-stamp

binary-indep:	build install
		dh_testdir
		dh_testroot
		dh_install --sourcedir=$(TMP_DIR)
		dh_installdocs
		dh_installchangelogs
		dh_installcatalogs
		dh_compress
		dh_fixperms
		dh_installdeb
		dh_perl
		dh_gencontrol
		dh_md5sums
		dh_builddeb

binary-arch:

binary:		binary-indep binary-arch

.PHONY:		clean build install binary-indep binary-arch binary diff

## ----------------------------------------------------------------------

## debiandoc-sgml 1.1.96

=== debian/changelog ===
debiandoc-sgml (1.1.96) unstable; urgency=low

  * Added support for Ukrainian and UTF-8. Many thanks to 
    Borys Yanovych and Eugeniy Meshcheryakov. [jens] (closes: Bug#366992)

 -- Osamu Aoki <osamu@debian.org>  Sun, 21 May 2006 02:05:42 +0900

## debiandoc-sgml 1.1.100

=== debian/changelog ===
debiandoc-sgml (1.1.100) unstable; urgency=high

  * reactivated bg5 workaround in the default fixlatex. (closes: Bug#403200)
  * added -s option for all commands for ease of use.

 -- Osamu Aoki <osamu@debian.org>  Sun, 17 Dec 2006 10:12:34 +0900

debiandoc-sgml (1.1.99) unstable; urgency=medium

  * Fixed zh_CN (GB2312) font name by Danai SAE-HAN. [jens]
    This fixes two FTBFS cases. (closes: Bug#397676, Bug#397655)
  * Fixed ja_eucJP font name by Danai SAE-HAN.
  * Made fixlatex as noop. [osamu]
  * Use the by the user specified locale in some situations even if it is
    unknown to debiandoc-sgml, such as for file names. [jens]
    (closes: Bug#397365)
  * debiandoc2xml does now properly support option -c. It created files
    containing locale information in the name but specified include files
    without locale part. [jens]
  * Added support for Russian UTF-8 locale. Thanks to Yuri Kozlov
    <kozlov.y@gmail.com>. [jens] (closes: Bug#389065)

 -- Osamu Aoki <osamu@debian.org>  Tue,  5 Dec 2006 22:22:48 +0900

debiandoc-sgml (1.1.98) unstable; urgency=low

  * Added Vietnamese translation. Thanks to Clytie Siddall
    <clytie@riverland.net.au>. [jens]
  * Replaced cjk-latex with latex-cjk-all
  * Removed old hack for zh_TW (big5) Latex code handling in fixlatex 
    script.
  * Changed font names in chinese to bkai in latex code.

 -- Osamu Aoki <osamu@debian.org>  Thu,  9 Nov 2006 23:24:21 +0900

debiandoc-sgml (1.1.97) unstable; urgency=low

  * Added support for Swedish. Many thanks to 
    Daniel Nylander <yeager@lidkoping.net>. [jens] (closes: Bug#397235)
  * Added support for Vietnamese (with English strings). This requires
    either the package texlive-lang-vietnamese or tetex-extra for PS, PDF. [jens]

 -- Osamu Aoki <osamu@debian.org>  Sun, 05 Nov 2006 02:05:42 +0900

=== debian/control ===
Source: debiandoc-sgml
Section: text
Priority: optional
Maintainer: DebianDoc-SGML Pkgs <debiandoc-sgml-pkgs@lists.alioth.debian.org>
Uploaders: Ardo van Rangelrooij <ardo@debian.org>, Osamu Aoki <osamu@debian.org>, Jens Seidel <tux-master@web.de>
Standards-Version: 3.6.1
Build-Depends-Indep: debhelper (>= 4.1.75)

Package: debiandoc-sgml
Section: text
Priority: optional
Architecture: all
Depends: ${perl:Depends}, libhtml-parser-perl, libi18n-langtags-perl, libroman-perl, libsgmls-perl, libtext-format-perl, liburi-perl, sgml-data, sgmlspl, sp, ${misc:Depends}
Recommends: libpaperg, tetex-bin, tetex-extra, texinfo, latex-cjk-all, gs-esp | gs
Suggests: debiandoc-sgml-doc
Description: DebianDoc SGML DTD and formatting tools
 This is an SGML-based documentation formatting package used for the
 Debian manuals.  It reads markup files and produces HTML, LaTeX, DVI 
 (via LaTeX), PostScript (via LaTeX/DVI), PDF (via LaTeX), Texinfo,
 Info (via Texinfo), DocBook XML (via Texinfo), plain text (with
 overstrikes a la troff as well as without) files.
 .
 The LaTeX based output needs the libpaperg, tetex-bin and tetex-extra
 packages.  In addition to this, Chinese and Japanese need cjk-latex and 
 corresponding font packages while Korean needs hlatex and corresponding 
 font packages. The Texinfo based output needs the texinfo package. 
 .
 Homepage: http://alioth.debian.org/projects/debiandoc-sgml/

## debiandoc-sgml 1.1.101

=== debian/changelog ===
debiandoc-sgml (1.1.101) unstable; urgency=high

  * Added lines to README.Debian for UTF-8 source and debiandoc2latex*.
  * Added Lithuanian support per K. Biliunas. (Closes Bug# 394640)

 -- Osamu Aoki <osamu@debian.org>  Sat,  6 Jan 2007 23:12:39 +0900

## debiandoc-sgml 1.2.7

=== debian/changelog ===
debiandoc-sgml (1.2.7) unstable; urgency=low

  * Fixed failure to properly save @tag during nested lists in Driver.pm
    which caused unexpected handling of nested short hand <tag/ per Ian
    Jackson. (closes: #443765)

 -- Osamu Aoki <osamu@debian.org>  Mon, 24 Sep 2007 20:40:31 +0900

debiandoc-sgml (1.2.6) unstable; urgency=low

  * Fixed UTF-8 build issue for ja_JP.UTF-8, zh_CN.UTF-8, zh_TW.UTF-8
    locales per Danai SAE-HAN.
  * Updated README in the source and other documents for -X.

 -- Osamu Aoki <osamu@debian.org>  Sun, 23 Sep 2007 20:39:17 +0900

debiandoc-sgml (1.2.5) unstable; urgency=low

  * Fixed dependency to narrow recommend and move language specific
    ones to suggests. (closes: #402118)
  * Fixed pdfhyperref to use unicode by discussed in #436931.
  * Update VCS reference to new readonly git repository.

 -- Osamu Aoki <osamu@debian.org>  Sat, 25 Aug 2007 13:34:08 +0900

debiandoc-sgml (1.2.4) unstable; urgency=low

  * Fixed Locale/LaTeX inputenc for it_IT.UTF-8 etc.
  * Added -X option capability which enables customization to
    the locale dependent conversion rule.
  * Added many UTF-8 locale aliases.

 -- Osamu Aoki <osamu@debian.org>  Wed, 15 Aug 2007 08:54:39 +0900

debiandoc-sgml (1.2.3) unstable; urgency=low

  * Added missing fr_FR.UTF-8 data to Alias.pm. 

 -- Osamu Aoki <osamu@debian.org>  Sun, 12 Aug 2007 23:27:47 +0900

debiandoc-sgml (1.2.2) unstable; urgency=low

  * Fixed LaTeX header data for pt_PT.UTF.8 and lt_LT.UTF-8 and more.
  * Fixed debiandoc2wiki. (closes: #436934)
  * Added tesing scripts to the source.
  * Used frenchb instead of french for LaTeX babel name for French.
  * Used hangul for LaTeX package name for Korean.

 -- Osamu Aoki <osamu@debian.org>  Sat, 11 Aug 2007 11:39:13 +0900

debiandoc-sgml (1.2.1) unstable; urgency=low

  * Added UTF-8 support data for all locales while creating and using
    conversion helper script with some hand touch-ups.
  * Used <sect> for any level for the ease of reorganizing generated XML text
    for debiandoc2xml.
  * Fixed DTD header for XML output. (closes: #430576)
  * Added Wiki snippet generation capability. (closes: #396839)
  * Fixed example output bug for XML. (closes: #431126)
  * Updated README.Debian so people will read debiandoc-sgml-doc before doing
    XML conversion and recommend DocBook XML usage. (closes: #431170)

 -- Osamu Aoki <osamu@debian.org>  Mon, 06 Aug 2007 02:53:45 +0900

debiandoc-sgml (1.1.102) unstable; urgency=low

  * Update Recommends: to use texlive-full. (closes: #402118)
  * Fix XML output for qref and ftpsite. (closes: #430573, #430578)
  * Add littex to Recommends. (closes: #394640)
  * Add Vcs tag.
  * Update Standards-Version to 3.7.2.

 -- Osamu Aoki <osamu@debian.org>  Sat, 28 Jul 2007 23:33:20 +0900

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,22 @@
 Priority: optional
 Maintainer: DebianDoc-SGML Pkgs <debiandoc-sgml-pkgs@lists.alioth.debian.org>
 Uploaders: Ardo van Rangelrooij <ardo@debian.org>, Osamu Aoki <osamu@debian.org>, Jens Seidel <tux-master@web.de>
-Standards-Version: 3.6.1
-Build-Depends-Indep: debhelper (>= 4.1.75)
+Standards-Version: 3.7.2
+Build-Depends-Indep: debhelper (>= 5.0)
+XS-Vcs-Git: git://git.debian.org/~osamu/debiandoc-sgml.git
 
 Package: debiandoc-sgml
 Section: text
 Priority: optional
 Architecture: all
 Depends: ${perl:Depends}, libhtml-parser-perl, libi18n-langtags-perl, libroman-perl, libsgmls-perl, libtext-format-perl, liburi-perl, sgml-data, sgmlspl, sp, ${misc:Depends}
-Recommends: libpaperg, tetex-bin, tetex-extra, texinfo, latex-cjk-all, gs-esp | gs
-Suggests: debiandoc-sgml-doc
+Recommends: libpaperg, texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, texinfo, gs-gpl | gs 
+Suggests: debiandoc-sgml-doc, latex-cjk-all, hlatex, littex
 Description: DebianDoc SGML DTD and formatting tools
  This is an SGML-based documentation formatting package used for the
  Debian manuals.  It reads markup files and produces HTML, LaTeX, DVI 
  (via LaTeX), PostScript (via LaTeX/DVI), PDF (via LaTeX), Texinfo,
- Info (via Texinfo), DocBook XML (via Texinfo), plain text (with
+ Info (via Texinfo), DebianDoc SGML, DocBook XML, plain text (with
  overstrikes a la troff as well as without) files.
  .
  The LaTeX based output needs the libpaperg, tetex-bin and tetex-extra

## debiandoc-sgml 1.2.9

=== Makefile ===
--- 
+++ 
@@ -53,11 +53,11 @@
 ## ----------------------------------------------------------------------
 ## Package tools file definitions
 FORMATS		:= HTML LaTeX Texinfo Text TextOV
-XFORMATS	:= SGML XML
-SPECS		:= html latex texinfo text textov info latexdvi latexps latexpdf xml sgml docbookxml
-EXTS		:= html tex texinfo txt tov xml sgml
+XFORMATS	:= SGML XML Wiki
+SPECS		:= html latex texinfo text textov info latexdvi latexps latexpdf xml sgml docbookxml wiki
+PSPECS		:= dvi ps pdf
+EXTS		:= html tex texinfo txt tov xml sgml wiki
 BCONVS		:= $(foreach spec,$(SPECS),$(dtd_name)2$(spec))
-PSPECS		:= dvi ps pdf
 PCONVS		:= $(foreach spec,$(PSPECS),$(dtd_name)2$(spec))
 TOOLS		:= $(BCONVS) $(PCONVS)
 MAN1S		:= $(pkg_name)
@@ -267,9 +267,39 @@
 			fi ;\
 		done
 
+test:
+		debian/test-debiandoc-sgml >XXXXX-sgml.log
+		echo "#########################################################" > BUGS
+		echo "### Known problems for building source with this tool ###" >> BUGS
+		echo "#########################################################" >> BUGS
+		grep -e '^FAIL: ' -e '^FAIR: ' XXXXX-sgml.log  >> BUGS
+
+test1:
+		: >XXXXX-sgml.log
+		debian/test-debiandoc-sgml gl_ES.ISO8859-1 >>XXXXX-sgml.log
+		debian/test-debiandoc-sgml gl_ES.ISO8859-15 >>XXXXX-sgml.log
+		debian/test-debiandoc-sgml gl_ES.UTF-8 >>XXXXX-sgml.log
+		debian/test-debiandoc-sgml ja_JP.UTF-8 >>XXXXX-sgml.log
+		debian/test-debiandoc-sgml ja_JP.eucJP >>XXXXX-sgml.log
+		debian/test-debiandoc-sgml ko_KR.UTF-8 >>XXXXX-sgml.log
+		debian/test-debiandoc-sgml ko_KR.eucKR >>XXXXX-sgml.log
+		#debian/test-debiandoc-sgml ru_RU.KOI8-R >>XXXXX-sgml.log
+		debian/test-debiandoc-sgml sk_SK.ISO8859-2 >>XXXXX-sgml.log
+		debian/test-debiandoc-sgml sk_SK.UTF-8 >>XXXXX-sgml.log
+		debian/test-debiandoc-sgml zh_CN.GB2312 >>XXXXX-sgml.log
+		debian/test-debiandoc-sgml zh_CN.UTF-8 >>XXXXX-sgml.log
+		debian/test-debiandoc-sgml zh_TW.Big5  >>XXXXX-sgml.log
+		debian/test-debiandoc-sgml zh_TW.UTF-8  >>XXXXX-sgml.log
+		echo "#########################################################" > BUGS1
+		echo "### Known problems for building source with this tool ###" >> BUGS1
+		echo "#########################################################" >> BUGS1
+		grep -e '^FAIL: ' -e '^FAIR: ' XXXXX-sgml.log  >> BUGS1
 clean:
-
 		$(RM) $(foreach bconv,$(BCONVS),tools/bin/$(bconv))
-		rm -f scripts.diff
-
-## ----------------------------------------------------------------------
+		rm -f scripts.diff ls-lr
+		-rm *.ps *.tmp *.pdf *.tex *.tpt *.sgml *aux *.txt
+		-rm *.toc *.dvi *.log *.out *.texinfo *.sasp *.info
+		-rm -r *.sasp-wiki *.wiki BUGS1
+		-rm -rf *.html
+
+## ----------------------------------------------------------------------

=== debian/changelog ===
debiandoc-sgml (1.2.9) unstable; urgency=low

  * Removed more extensions from the basename if -c or -C are used
    to avoid creating names such as "basename.en.en.txt".

 -- Osamu Aoki <osamu@debian.org>  Thu, 15 May 2008 17:00:29 +0900

debiandoc-sgml (1.2.8) unstable; urgency=low

  * Fixed description and code is refering to tetex-bin and tetex-extra
    per Andreas Tille.  (closes: #445807)
  * Updated gs-gpl to ghostscript.
  * Changed link tag generation as default and meaning of -L option 
    because most console users use w3m now per popcon. (closes: #402122)
  * Added -C option for content negotiation without encoding.
  * Added lower case locale alias such as 'pt-br' and 'zh-cn.utf-8',
    to accomodate better looking file names easily.
  * Updated manual pages.

 -- Osamu Aoki <osamu@debian.org>  Tue, 13 May 2008 01:21:07 +0900

=== debian/control ===
Source: debiandoc-sgml
Section: text
Priority: optional
Maintainer: DebianDoc-SGML Pkgs <debiandoc-sgml-pkgs@lists.alioth.debian.org>
Uploaders: Ardo van Rangelrooij <ardo@debian.org>, Osamu Aoki <osamu@debian.org>, Jens Seidel <tux-master@web.de>
Standards-Version: 3.7.3
Build-Depends-Indep: debhelper (>= 7.0)
Vcs-Git: git://git.debian.org/~osamu/debiandoc-sgml.git
Homepage: http://alioth.debian.org/projects/debiandoc-sgml/

Package: debiandoc-sgml
Section: text
Priority: optional
Architecture: all
Depends: ${perl:Depends}, libhtml-parser-perl, libi18n-langtags-perl, libroman-perl, libsgmls-perl, libtext-format-perl, liburi-perl, sgml-data, sgmlspl, sp, ${misc:Depends}
Recommends: libpaperg, texlive-latex-recommended, texlive-latex-base, texlive-latex-extra, texlive-fonts-recommended, texinfo, ghostscript | gs 
Suggests: debiandoc-sgml-doc, latex-cjk-all, hlatex, littex
Description: DebianDoc SGML DTD and formatting tools
 This is an SGML-based documentation formatting package used for the
 Debian manuals.  It reads markup files and produces HTML, LaTeX, DVI 
 (via LaTeX), PostScript (via LaTeX/DVI), PDF (via LaTeX), Texinfo,
 Info (via Texinfo), DebianDoc SGML, DocBook XML, plain text (with
 overstrikes a la troff as well as without) files.
 .
 The LaTeX based output needs the libpaperg, texlive-latex-recommended,
 texlive-latex-base, texlive-latex-extra and texlive-fonts-recommended
 packages.  In addition to this, Chinese and Japanese need cjk-latex and 
 corresponding font packages while Korean needs hlatex and corresponding 
 font packages. The Texinfo based output needs the texinfo package.

## debiandoc-sgml 1.2.13

=== Makefile ===
--- 
+++ 
@@ -294,6 +294,15 @@
 		echo "### Known problems for building source with this tool ###" >> BUGS1
 		echo "#########################################################" >> BUGS1
 		grep -e '^FAIL: ' -e '^FAIR: ' XXXXX-sgml.log  >> BUGS1
+
+# target to check packages using this package is "usedby".
+Sources:
+	wget http://ftp.us.debian.org/debian/dists/sid/main/source/Sources.gz
+	gunzip Sources.gz
+
+usedby: Sources
+	-F Build-Depends 'debiandoc-sgml' -o -F Build-Depends-Indep 'debiandoc-sgml' -s Package Sources
+
 clean:
 		$(RM) $(foreach bconv,$(BCONVS),tools/bin/$(bconv))
 		rm -f scripts.diff ls-lr
@@ -301,5 +310,6 @@
 		-rm *.toc *.dvi *.log *.out *.texinfo *.sasp *.info
 		-rm -r *.sasp-wiki *.wiki BUGS1
 		-rm -rf *.html
-
-## ----------------------------------------------------------------------
+		-rm Sources
+
+## ----------------------------------------------------------------------

=== debian/changelog ===
debiandoc-sgml (1.2.13) unstable; urgency=low

  * Close CVS repository and merged typo fixes on debiandoc2latex* 
    by Martin Eberhard Schauer <Martin.E.Schauer@gmx.de> posted on
    debian-l10n-german@lists.debian.org and commited by Jens Seidel
    on Wed, 25 Jul 2008.
  * Converted to dpkg source format: 3.0 (native)

 -- Osamu Aoki <osamu@debian.org>  Sun, 06 Dec 2009 23:31:36 +0900

debiandoc-sgml (1.2.12) unstable; urgency=low

  * Updated script example for debiandoc2info using the one by
    Bill Allombert.
  * Updated maintainer field to me only while keeping uploaders.
  * Cleaned source to be lintian clean etc.

 -- Osamu Aoki <osamu@debian.org>  Mon, 21 Sep 2009 06:37:00 +0900

debiandoc-sgml (1.2.11) unstable; urgency=low

  * Added support for @dircategory/@direntry by fixing buggy
    -s and -X support for debiandoc2info with help from Bill
    Allombert. (closes: #542005)

 -- Osamu Aoki <osamu@debian.org>  Tue, 15 Sep 2009 22:56:21 +0900

debiandoc-sgml (1.2.10) unstable; urgency=low

  * Now that lenny is out, I will fix this nbsp bug with somewhat 
    invasive changes per patch by Nicolas François for HTML.  I 
    also applied similar patches to SGML and XML too. (closes: #512579)

 -- Osamu Aoki <osamu@debian.org>  Sat, 29 Aug 2009 02:28:01 +0900

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: debiandoc-sgml
 Section: text
 Priority: optional
-Maintainer: DebianDoc-SGML Pkgs <debiandoc-sgml-pkgs@lists.alioth.debian.org>
-Uploaders: Ardo van Rangelrooij <ardo@debian.org>, Osamu Aoki <osamu@debian.org>, Jens Seidel <tux-master@web.de>
-Standards-Version: 3.7.3
-Build-Depends-Indep: debhelper (>= 7.0)
-Vcs-Git: git://git.debian.org/~osamu/debiandoc-sgml.git
-Homepage: http://alioth.debian.org/projects/debiandoc-sgml/
+Maintainer: Osamu Aoki <osamu@debian.org>
+Uploaders: Ardo van Rangelrooij <ardo@debian.org>, Jens Seidel <tux-master@web.de>
+Standards-Version: 3.8.3
+Build-Depends: debhelper (>= 7.0)
+Vcs-Git: git://git.debian.org/git/collab-maint/debiandoc-sgml.git
+Vcs-browser: http://git.debian.org/?p=collab-maint/debiandoc-sgml.git
+
 
 Package: debiandoc-sgml
 Section: text

=== debian/rules ===
--- 
+++ 
@@ -34,9 +34,9 @@
 install-stamp:	build diff
 		dh_testdir
 		dh_testroot
-		dh_clean -k
+		dh_prep
 		dh_installdirs
-		$(MAKE) install prefix=$(PWD)/$(TMP_DIR)/usr
+		$(MAKE) install prefix=$(CURDIR)/$(TMP_DIR)/usr
 		touch install-stamp
 
 binary-indep:	build install

## debiandoc-sgml 1.2.15

=== Makefile ===
--- 
+++ 
@@ -5,8 +5,8 @@
 ## ----------------------------------------------------------------------
 ## General directory definitions
 prefix		:= /usr/local
-bin_dir		:= $(prefix)/bin
-share_dir	:= $(prefix)/share
+bin_dir		:= $(DESTDIR)$(prefix)/bin
+share_dir	:= $(DESTDIR)$(prefix)/share
 ifeq ($(prefix),/usr/local)
 man_dir		:= $(prefix)/man
 else
@@ -308,7 +308,7 @@
 		rm -f scripts.diff ls-lr
 		-rm *.ps *.tmp *.pdf *.tex *.tpt *.sgml *aux *.txt
 		-rm *.toc *.dvi *.log *.out *.texinfo *.sasp *.info
-		-rm -r *.sasp-wiki *.wiki BUGS1
+		-rm -r *.sasp-wiki *.wiki BUGS
 		-rm -rf *.html
 		-rm Sources

=== debian/changelog ===
debiandoc-sgml (1.2.15) unstable; urgency=low

  * Fixed manpage.  Closes: #568015
  * Cleaned old maintainer scripts. 

 -- Osamu Aoki <osamu@debian.org>  Sun, 11 Apr 2010 02:03:31 +0900

debiandoc-sgml (1.2.14) unstable; urgency=low

  * Updated build structure to use dh syntax and $(DESTDIR). 
  * Fixed binary-control-field-duplicates-source: "priority" "section".
  * Fixed hyphen-used-as-minus-sign. 

 -- Osamu Aoki <osamu@debian.org>  Sun, 04 Apr 2010 21:42:28 +0900

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,13 @@
 Priority: optional
 Maintainer: Osamu Aoki <osamu@debian.org>
 Uploaders: Ardo van Rangelrooij <ardo@debian.org>, Jens Seidel <tux-master@web.de>
-Standards-Version: 3.8.3
-Build-Depends: debhelper (>= 7.0)
+Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.0.50~)
 Vcs-Git: git://git.debian.org/git/collab-maint/debiandoc-sgml.git
 Vcs-browser: http://git.debian.org/?p=collab-maint/debiandoc-sgml.git
 
 
 Package: debiandoc-sgml
-Section: text
-Priority: optional
 Architecture: all
 Depends: ${perl:Depends}, libhtml-parser-perl, libi18n-langtags-perl, libroman-perl, libsgmls-perl, libtext-format-perl, liburi-perl, sgml-data, sgmlspl, sp, ${misc:Depends}
 Recommends: libpaperg, texlive-latex-recommended, texlive-latex-base, texlive-latex-extra, texlive-fonts-recommended, texinfo, ghostscript | gs

=== debian/rules ===
#!/usr/bin/make -f
## ----------------------------------------------------------------------
## debian/rules : package script for debiandoc-sgml
## ----------------------------------------------------------------------


## ----------------------------------------------------------------------
## uncomment this to turn on verbose mode
#export DH_VERBOSE=1

## ----------------------------------------------------------------------
## Targets

binary: binary-indep

%:
	dh $@

# do not test
override_dh_auto_test:

override_dh_auto_build:
	dh_auto_build -- prefix=/usr

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

## ----------------------------------------------------------------------
diff:
	        dh build
	        $(MAKE) diff
.PHONY:		diff
## ----------------------------------------------------------------------

## debiandoc-sgml 1.2.25

=== debian/changelog ===
debiandoc-sgml (1.2.25) unstable; urgency=low

  * Use proper serif font for Chinese in LaTeX. Closes: #593916
  * Fixed title breakage for french. Closes: #594846 
  * Fixed missing hyphen for package, prgn, and manref. Closes: #238003 
  * Fixed doubling of \ in manref. 
  * Fixed " in tt, prgn, and package. 

 -- Osamu Aoki <osamu@debian.org>  Fri, 03 Jun 2011 23:58:12 +0900

debiandoc-sgml (1.2.24) unstable; urgency=low

  * Removed an extra whiltespace after some closing tags. Closes: #624097
  * Fixed missing quotation marks from output. Closes: #624099
  * Removed extra whatespaces around personname.

 -- Osamu Aoki <osamu@debian.org>  Mon, 02 May 2011 18:24:27 +0900

debiandoc-sgml (1.2.23) unstable; urgency=low

  * Updated examples by adding msguntranslated. 
  * DB5 style by using no firstname/surname but just personname to
    fix Japanese etc.
  * Make header friendly for entity. 

 -- Osamu Aoki <osamu@debian.org>  Sun, 17 Apr 2011 03:46:33 +0900

debiandoc-sgml (1.2.22) unstable; urgency=low

  * Fixed translator handling for debiandoc2dbk as othercredit. 

 -- Osamu Aoki <osamu@debian.org>  Sun, 06 Mar 2011 17:54:25 +0900

debiandoc-sgml (1.2.21) unstable; urgency=low

  * Changed font size and page margins for LaTeX to fit more on one page.
    Now <example> is rendered in \scriptsize. Closes: #606462
  * Made README in examples as a pointer to wiki page.
  * Fixed syntax of <copyright>...</copyright> for debiandoc2dbk. 
    Closes: #430606
  * Fixed title attribute of <link> tags to be be plain text for 
    debiandoc2html. Closes: #616042

 -- Osamu Aoki <osamu@debian.org>  Sun, 06 Mar 2011 01:39:20 +0900

debiandoc-sgml (1.2.20) unstable; urgency=low

  * Optimized dependency to reflect current package names while including 
    changes made in 1.2.16+squeeze1 to address bug #610335 for experimental.
  * Rewrote debiandoc-lint4po for better conversion.

 -- Osamu Aoki <osamu@debian.org>  Sat, 29 Jan 2011 12:38:05 +0900

debiandoc-sgml (1.2.19) experimental; urgency=low

  * Polished debiandoc2dbk.
   - Added -S option for <sect?> instead of <section>.
   - Use <para> instead of <simpara>.
   - Better email address handling for <author>.
  * Tested example scripts more and updated their documents.

 -- Osamu Aoki <osamu@debian.org>  Thu, 13 Jan 2011 00:37:59 +0900

debiandoc-sgml (1.2.18) experimental; urgency=low

  * Fixed bugs in example scripts and add ENTITY handling scripts for
    DocBook XML conversion.
  * Better <author> and <copyrightsummary> handling for debiandoc2dbk.
  * Removed debiandoc2sgml.
  * Added more entities such as &nbsp;.

 -- Osamu Aoki <osamu@debian.org>  Mon, 10 Jan 2011 19:47:00 +0900

debiandoc-sgml (1.2.17) experimental; urgency=low

  * Renamed debiandoc2xml to debiandoc2dbk to change its command syntax.
    - Its default extention of is dbk.
    - It produces a single file in the same directory for -1 option.
    - It converts character entities in source to UTF-8 characters.
  * Fixed ulink bug and <httpsite> bugs in debiandoc2dbk. Closes: #609313
  * Removed deprecated debiandoc2docbookxml.
  * Added example helper scripts for the conversion to DocBook XML.

 -- Osamu Aoki <osamu@debian.org>  Sun, 09 Jan 2011 20:38:16 +0900

debiandoc-sgml (1.2.16) unstable; urgency=low

  * Updated dependency of debiandoc-sgml. Closes: #462253, #593820
  * Fixed debiandoc2xml to generate correct tags for <section>, use better 
    XML syntax, and convert &copy; to (C). Closes: #608461, #430575
  * Updated Korean UTF-8 LaTeX template.

 -- Osamu Aoki <osamu@debian.org>  Sat, 08 Jan 2011 13:48:52 +0900

=== debian/control ===
Source: debiandoc-sgml
Section: text
Priority: optional
Maintainer: Osamu Aoki <osamu@debian.org>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7.0.50~)
Vcs-Git: git://git.debian.org/git/collab-maint/debiandoc-sgml.git
Vcs-browser: http://git.debian.org/?p=collab-maint/debiandoc-sgml.git


Package: debiandoc-sgml
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libhtml-parser-perl, libroman-perl, libtext-format-perl, sgml-data, sgmlspl, sp
Recommends: ghostscript, texlive, texlive-latex-extra, texinfo 
Suggests: debiandoc-sgml-doc, latex-cjk-all, texlive-lang-all
Description: DebianDoc SGML DTD and formatting tools
 This is an SGML-based documentation formatting package used for the
 Debian manuals.  It reads markup files and produces HTML, LaTeX, DVI 
 (via LaTeX), PostScript (via LaTeX/DVI), PDF (via LaTeX), Texinfo,
 Info (via Texinfo), DebianDoc SGML, DocBook XML, plain text (with
 overstrikes a la troff as well as without) files.
 .
 The LaTeX based output needs the texlive, texlive-latex-extra and 
 texlive-lang-all packages.  In addition to this, Chinese and Japanese need 
 latex-cjk-all and corresponding font packages.
 .
 The Texinfo based output needs the texinfo package.

## debiandoc-sgml 1.2.26

=== debian/changelog ===
debiandoc-sgml (1.2.26) unstable; urgency=low

  * Update for multiarch. Closes: #665825
  * Update DocBook XML conversion to specify utf-8 encoding in the 
    XML declaration. Closes: #663279
  * Update packaging to Policy 3.9.3 and dh v9. 

 -- Osamu Aoki <osamu@debian.org>  Wed, 28 Mar 2012 21:45:49 +0900

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: text
 Priority: optional
 Maintainer: Osamu Aoki <osamu@debian.org>
-Standards-Version: 3.9.1
-Build-Depends: debhelper (>= 7.0.50~)
+Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 8.1.3~)
 Vcs-Git: git://git.debian.org/git/collab-maint/debiandoc-sgml.git
 Vcs-browser: http://git.debian.org/?p=collab-maint/debiandoc-sgml.git
-
 
 Package: debiandoc-sgml
 Architecture: all
 Depends: ${perl:Depends}, ${misc:Depends}, libhtml-parser-perl, libroman-perl, libtext-format-perl, sgml-data, sgmlspl, sp
 Recommends: ghostscript, texlive, texlive-latex-extra, texinfo 
 Suggests: debiandoc-sgml-doc, latex-cjk-all, texlive-lang-all
+Multi-Arch: foreign
 Description: DebianDoc SGML DTD and formatting tools
  This is an SGML-based documentation formatting package used for the
  Debian manuals.  It reads markup files and produces HTML, LaTeX, DVI

## debiandoc-sgml 1.2.27

=== debian/changelog ===
debiandoc-sgml (1.2.27) unstable; urgency=low

  * Rebuild with debhelper sgml-base >=1.26+nmu2. Closes: #675474

 -- Osamu Aoki <osamu@debian.org>  Sat, 02 Jun 2012 00:12:58 +0900

## debiandoc-sgml 1.2.28

=== debian/changelog ===
debiandoc-sgml (1.2.28-1) unstable; urgency=low

  * Jessie development cycle is ON! 
  * Switch to 3.0(quilt) format.
  * Fix URLs containing '&' (ampersand) using a patch provided by Ben
    Hutchings, thanks. Closes: #685046
  * Make <a name> anchors enclose heading text using a patch provided by
    Samuel Bronson. Closes: #616043
  * Make debiandoc2dbkpo behave with an SGML without the localization 
    infix using a patch provided by Felix Gatzemeier.  Closes: #694856

 -- Osamu Aoki <osamu@debian.org>  Sun, 19 May 2013 02:20:15 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Osamu Aoki <osamu@debian.org>
 Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 8.1.3~)
+Build-Depends: debhelper (>= 8.1.3~), sgml-base (>= 1.26+nmu2)
 Vcs-Git: git://git.debian.org/git/collab-maint/debiandoc-sgml.git
 Vcs-browser: http://git.debian.org/?p=collab-maint/debiandoc-sgml.git

## debiandoc-sgml 1.2.29

=== debian/changelog ===
debiandoc-sgml (1.2.29-1) unstable; urgency=medium

  * New upstream release.
  * Document required packages. Closes: #694857
  * Update policy, packaging and URLs.

 -- Osamu Aoki <osamu@debian.org>  Sun, 19 Oct 2014 16:53:19 +0900

=== debian/control ===
Source: debiandoc-sgml
Section: text
Priority: optional
Maintainer: Osamu Aoki <osamu@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), sgml-base (>= 1.26+nmu2)
Vcs-Git: git://anonscm.debian.org/collab-maint/debiandoc-sgml.git
Vcs-browser: http://anonscm.debian.org/cgit/collab-maint/debiandoc-sgml.git

Package: debiandoc-sgml
Architecture: all
Depends: libhtml-parser-perl,
         libroman-perl,
         libtext-format-perl,
         sgml-data,
         sgmlspl,
         sp,
         ${misc:Depends},
         ${perl:Depends}
Recommends: ghostscript, texinfo, texlive, texlive-latex-extra
Suggests: debiandoc-sgml-doc, latex-cjk-all, texlive-lang-all
Multi-Arch: foreign
Description: DebianDoc SGML DTD and formatting tools
 This is an SGML-based documentation formatting package used for the
 Debian manuals.  It reads markup files and produces HTML, LaTeX, DVI
 (via LaTeX), PostScript (via LaTeX/DVI), PDF (via LaTeX), Texinfo,
 Info (via Texinfo), DebianDoc SGML, DocBook XML, plain text (with
 overstrikes a la troff as well as without) files.
 .
 The LaTeX based output needs the texlive, texlive-latex-extra and
 texlive-lang-all packages.  In addition to this, Chinese and Japanese need
 latex-cjk-all and corresponding font packages.
 .
 The Texinfo based output needs the texinfo package.

## debiandoc-sgml 1.2.31

=== Makefile ===
--- 
+++ 
@@ -53,10 +53,10 @@
 ## ----------------------------------------------------------------------
 ## Package tools file definitions
 FORMATS		:= HTML LaTeX Texinfo Text TextOV
-XFORMATS	:= SGML XML Wiki
-SPECS		:= html latex texinfo text textov info latexdvi latexps latexpdf xml sgml docbookxml wiki
+XFORMATS	:= XML Wiki
+SPECS		:= html latex texinfo text textov info latexdvi latexps latexpdf dbk wiki
 PSPECS		:= dvi ps pdf
-EXTS		:= html tex texinfo txt tov xml sgml wiki
+EXTS		:= html tex texinfo txt tov dbk wiki
 BCONVS		:= $(foreach spec,$(SPECS),$(dtd_name)2$(spec))
 PCONVS		:= $(foreach spec,$(PSPECS),$(dtd_name)2$(spec))
 TOOLS		:= $(BCONVS) $(PCONVS)
@@ -306,10 +306,10 @@
 clean:
 		$(RM) $(foreach bconv,$(BCONVS),tools/bin/$(bconv))
 		rm -f scripts.diff ls-lr
-		-rm *.ps *.tmp *.pdf *.tex *.tpt *.sgml *aux *.txt
-		-rm *.toc *.dvi *.log *.out *.texinfo *.sasp *.info
-		-rm -r *.sasp-wiki *.wiki BUGS
-		-rm -rf *.html
-		-rm Sources
-
-## ----------------------------------------------------------------------
+		rm -f *.ps *.tmp *.pdf *.tex *.tpt *.sgml *aux *.txt
+		rm -f *.toc *.dvi *.log *.out *.texinfo *.sasp *.info
+		rm -rf *.sasp-wiki *.wiki BUGS*
+		rm -rf *.html
+		rm -f Sources
+
+## ----------------------------------------------------------------------

=== debian/changelog ===
debiandoc-sgml (1.2.31-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Bug fix: "Please change dependency on obsolete package sp":
    - Changed obsolete sp to opensp:
    - d/README.Debian: nsgmls -> onsgmls
    - d/control: Changed Depends to have opensp instead of sp.
    - tools/bin/template: Globally replaced nsgmls -> onsgmls
    - tools/man/debiandoc-sgml.1: Globally replaced nsgmls -> onsgmls
    - (Closes: #805061)
    
 -- Neil Roeth <neil@debian.org>  Mon, 18 Jan 2016 15:27:52 -0500

debiandoc-sgml (1.2.31-1) unstable; urgency=medium

  * Support DEBIANDOC_DATE override of the <date> tag output
    to make the reproduceble build easier.

 -- Osamu Aoki <osamu@debian.org>  Thu, 13 Aug 2015 01:07:19 +0900

debiandoc-sgml (1.2.30-1) unstable; urgency=medium

  * Return value should be 0-255. Closes: #772267
  * Set -progname to kpsewhich. Closes: #788106

 -- Osamu Aoki <osamu@debian.org>  Tue, 09 Jun 2015 23:18:55 +0900

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
          libtext-format-perl,
          sgml-data,
          sgmlspl,
-         sp,
+         opensp,
          ${misc:Depends},
          ${perl:Depends}
 Recommends: ghostscript, texinfo, texlive, texlive-latex-extra

## debiandoc-sgml 1.2.32

=== Makefile ===
--- 
+++ 
@@ -313,3 +313,6 @@
 		rm -f Sources
 
 ## ----------------------------------------------------------------------
+# Use this target on devel branch source
+package:
+	debmake -t -y -zx -b':doc' -i pdebuild

=== debian/changelog ===
debiandoc-sgml (1.2.32-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Refer to specific version of license GPL-2+.
  * Fix day-of-week for changelog entry 1.1.93.
  * Update standards version to 4.6.1, no changes needed.
  * Fix field name case in debian/control (Vcs-browser => Vcs-Browser).
  * Update standards version to 4.6.2, no changes needed.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on sgml-base.

  [ Osamu Aoki ]
  * Bump policy version to 4.7.3
  * Add rudimentary test for Autopkgtest

 -- Osamu Aoki <osamu@debian.org>  Sat, 31 Jan 2026 09:35:02 +0900

debiandoc-sgml (1.2.32-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 28 Dec 2020 19:11:07 +0100

debiandoc-sgml (1.2.32-2) unstable; urgency=medium

  * Update VCS to new salsa service in compliance to the Debian
    Policy 5.6.26 (version 4.1.5).
  * Bump standard version and compat.
  * Update maintainer to the group address.

 -- Osamu Aoki <osamu@debian.org>  Mon, 16 Jul 2018 16:59:47 +0900

debiandoc-sgml (1.2.32-1) unstable; urgency=medium

  * New upstream release.
    + nsgmls -> onsgmls transition (Accept NMU)
    + Keep -n option order right.  Closes: #694838
    + Fix unescaped left brace.  Closes: #826466

 -- Osamu Aoki <osamu@debian.org>  Mon, 05 Dec 2016 22:23:15 +0900

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: debiandoc-sgml
 Section: text
 Priority: optional
-Maintainer: Osamu Aoki <osamu@debian.org>
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9), sgml-base (>= 1.26+nmu2)
-Vcs-Git: git://anonscm.debian.org/collab-maint/debiandoc-sgml.git
-Vcs-browser: http://anonscm.debian.org/cgit/collab-maint/debiandoc-sgml.git
+Maintainer: Debian XML SGML Team <debian-sgml@lists.debian.org>
+Uploaders: Osamu Aoki <osamu@debian.org>
+Standards-Version: 4.7.3
+Build-Depends: debhelper-compat (= 13), sgml-base
+Vcs-Git: https://salsa.debian.org/xml-sgml-team/debiandoc-sgml.git -b devel
+Vcs-Browser: https://salsa.debian.org/xml-sgml-team/debiandoc-sgml
 
 Package: debiandoc-sgml
 Architecture: all
 Depends: libhtml-parser-perl,
          libroman-perl,
          libtext-format-perl,
+         opensp,
          sgml-data,
          sgmlspl,
-         opensp,
          ${misc:Depends},
          ${perl:Depends}
 Recommends: ghostscript, texinfo, texlive, texlive-latex-extra

=== debian/tests/control ===
Test-Command: for f in 
  debiandoc2dbk  
  debiandoc2html  
  debiandoc2latex  
  debiandoc2latexpdf  
  debiandoc2pdf  
  debiandoc2texinfo  
  debiandoc2textov  
  debiandoc2dvi  
  debiandoc2info  
  debiandoc2latexdvi  
  debiandoc2latexps  
  debiandoc2ps  
  debiandoc2text  
  debiandoc2wiki  
  ; do 
  bash -n $f ; 
  done
Depends: @
